%define current_version 7.0.41

%define lib_include_path prlxmlmodel

Summary: Virtuozzo Xml Model library
Name: libprlxmlmodel
Version: %{current_version}
Release:        1%{?dist}

Group: Development/Libraries
License: LGPLv2.1
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: make
BuildRequires: gcc-c++
BuildRequires: qt4-devel
BuildRequires: libprlsdk-devel >= 7.0.61
BuildRequires: libprlcommon-devel
BuildRequires: boost-devel
ExclusiveArch: x86_64


%description
An object model for Virtuozzo middleware components.

%package devel
Summary: Libraries, includes to compile with the Virtuozzo Xml Model library.
Group: Development/Libraries
License: LGPLv2.1
Requires: %{name} = %{version}-%{release}
Requires: libprlsdk-devel, libprlcommon-devel

%description devel
Include header files & development libraries for the Virtuozzo Xml Model library.

%prep
%setup -q


%build
export PREFIX=%{buildroot}/%{_usr}
qmake-qt4
make %{?_smp_mflags} release

%install
rm -rf %{buildroot}
make install

%check
cd Tests
qmake-qt4
make check TESTRUNNER="LD_LIBRARY_PATH=."

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/libprl_xml_model.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/libprl_xml_model.so
%dir %{_includedir}/%{lib_include_path}
%{_includedir}/%{lib_include_path}/*

%changelog
* Mon Jul 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.41

* Sat Jun 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.37
 - Add network shaping and network classes config to CDispConfig #PSBM-42178
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Fri Jun 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.36
 - Get rid of old disk encryption interface (PSBM-48677) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Wed Jun 22 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.35
 - coverity-125307 Uninitialized scalar field (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-125304 Uninitialized scalar field (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-125279 remove InterfaceInfo (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Mon Jun 20 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.34
 - coverity-125296 Mixing enum types (Dmitry Andreev <dandreev@virtuozzo.com>)
 - coverity-125297 Uninitialized scalar field (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-125298-125308 Uninitialized scalar field (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - covarity-125309 Uninitialized scalar field (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix uninitialized values in ctor (coverity-125310) (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Sat Jun 18 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.33
 - Continuation of commit 39de4b9b - PartialBackupItem should have Flags as well (#PSBM-48367 #PSBM-48503)

* Fri Jun 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.32
 - Enhance BackupItem element for new scheme (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-48367 #PSBM-48506 #PSBM-48503)

* Fri Jun 10 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.31
 - Add GuestLimitType field to CVmCpu (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-45713)

* Sat Jun 04 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.30
 - Add CPU features setter #PSBM-47890 (Dmitry Andreev <dandreev@virtuozzo.com>)

* Fri Jun 03 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.29
 - Extend VtInfo, add required CPU features and CPU model (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-47573)

* Thu Jun 02 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.28
 - Add MaxVCpu node to CpuPreferences scheme #PSBM-47890 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri May 20 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.27
 - Properly add device alias to HDD schema (PSBM-44137) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Sat May 14 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.26
 - Add backup protocol version PSBM-47123

* Fri May 13 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.25
 - Additional fix to headers cleanup

* Fri May 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.24
 - Add MigrationInstanceId to DiskDescriptor xml schema. (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-40857)

* Fri May 13 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.23
 - Fixed headers duplication on 'make install'

* Thu May 12 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.22
 - Change default clustered device subtype to PCD_VIRTIO_SCSI (PSBM-46975) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)

* Mon Apr 25 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.21
 - Add node mask to VM config. #PSBM-39268 (Alexander Pisarev
   <apisarev@virtuozzo.com>)

* Mon Apr 11 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.20
 - Return back EnvId field for Containers migration from Vz 6 (#PSBM-45982)

* Tue Apr 05 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.19
 - Rename netfilter field MAC to avoid collision, #PSBM-5969 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)

* Mon Apr 04 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.18
 - bug #PSBM-45780 (Sergey Galas <shrike@virtuozzo.com>)
 - Add MAC to CNetPktFilter for guest bonding, #PSBM-5969 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Sat Apr 02 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.16
 - Add MAC to CNetPktFilter for guest bonding, #PSBM-5969 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Thu Mar 10 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.15
 - Added COPYING file (Dmitry Mishin <dim@virtuozzo.com>)
 - Add CPU limit type to VtInfo structure (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-42077)

* Tue Mar 01 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.12
 - Support SocketMode for serial device with SerialTCP emulation type
   \#PSBM-43039 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Properly link with distribution-specific version of boost libraries (Igor
   Bazhitov <ibazhitov@virtuozzo.com>)

* Mon Feb 22 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.11
 - Add alias field to CVmDevice (Alexander Burluka <aburluka@virtuozzo.com>)

* Sun Feb 21 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.10
 - add backup activity sources to build (Sergey Galas <shrike@odin.com>)
 - Drop xsd2src/Makefile* during distclean (Denis Silakov <dsilakov@gmail.com>)

* Tue Feb 16 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.8
 - bug #PSBM-44149 (Sergey Galas <shrike@odin.com>)

* Mon Feb 15 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.7
 - bug #PSBM-44149 (Sergey Galas <shrike@odin.com>)
 - Allow picking up build dependencies from non-system locations (Denis Silakov
<dsilakov@gmail.com>)

* Tue Jan 19 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.6
 - Add host mhz information into virtualization info (Alexander Burluka
<aburluka@virtuozzo.com>)

* Mon Jan 18 2016 Igor Sukhih <igor@parallels.com> 7.0.5
 - Add MemGuarantee fields to VmConfig scheme. #PSBM-42535

* Tue Jan 12 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.4
 - Fixed persistent project files to export headers as well

* Tue Jan 12 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.3
 - Added XmlModel tests from prl-disp-service project

* Mon Jan 11 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.2
 - Initial commit

